package com.qmth.teachcloud.common.bean.dto.mark;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.teachcloud.common.annotation.ExcelProperty;
import com.qmth.teachcloud.common.annotation.excelStyle.ExcelDataStyle;
import io.swagger.annotations.ApiModelProperty;
import org.apache.poi.ss.usermodel.FillPatternType;

/**
 * @Description: 评卷参数设置-客观题标答设置导入导出对象
 * @Author: CaoZixuan
 * @Date: 2024-04-01
 */
public class ObjectiveAnswerDto {

    @ApiModelProperty(value = "大题号")
    @ExcelProperty(name = "大题号", index = 1)
    @ExcelColumn(name = "大题号", index = 1, nullable = true)
    @ExcelDataStyle(lock = true, fillColorRed = 191, fillColorGreen = 191, fillColorBlue = 191, fillPartner = FillPatternType.SOLID_FOREGROUND)
    private String mainNumber;

    @ApiModelProperty(value = "小题号")
    @ExcelProperty(name = "小题号", index = 2)
    @ExcelColumn(name = "小题号", index = 2, nullable = true)
    @ExcelDataStyle(lock = true, fillColorRed = 191, fillColorGreen = 191, fillColorBlue = 191, fillPartner = FillPatternType.SOLID_FOREGROUND)
    private String subNumber;

    @ApiModelProperty(value = "大题名称")
    @ExcelProperty(name = "大题名称", index = 3)
    @ExcelColumn(name = "大题名称", index = 3, nullable = true)
    @ExcelDataStyle(lock = true, fillColorRed = 191, fillColorGreen = 191, fillColorBlue = 191, fillPartner = FillPatternType.SOLID_FOREGROUND)
    private String mainTitle;

    @ApiModelProperty(value = "正确答案")
    @ExcelProperty(name = "正确答案", index = 4)
    @ExcelColumn(name = "正确答案", index = 4)
    @ExcelDataStyle
    private String answer;

    public String getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(String mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public String getMainTitle() {
        return mainTitle;
    }

    public void setMainTitle(String mainTitle) {
        this.mainTitle = mainTitle;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }
}
